Send a message on a ticket
curl --request POST \
--url https://back.leap.onclarity.com/api/message/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"ticket_id": 123,
"mentioned_agent_ids": [
123
],
"files": [
123
],
"widgets": [
{
"id": "<string>",
"type": "link",
"label": "<string>",
"params": {
"url": "<string>"
}
}
],
"email_cc": [
"<string>"
]
}
'import requests
url = "https://back.leap.onclarity.com/api/message/send"
payload = {
"text": "<string>",
"ticket_id": 123,
"mentioned_agent_ids": [123],
"files": [123],
"widgets": [
{
"id": "<string>",
"type": "link",
"label": "<string>",
"params": { "url": "<string>" }
}
],
"email_cc": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
ticket_id: 123,
mentioned_agent_ids: [123],
files: [123],
widgets: [{id: '<string>', type: 'link', label: '<string>', params: {url: '<string>'}}],
email_cc: ['<string>']
})
};
fetch('https://back.leap.onclarity.com/api/message/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"internal_id": "<string>",
"files": [
{
"id": 123,
"original_url": "<string>",
"mime_type": "<string>",
"original_filename": "<string>",
"thumbnail_url": "<string>"
}
]
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Messages
Send a message on a ticket
POST
/
api
/
message
/
send
Send a message on a ticket
curl --request POST \
--url https://back.leap.onclarity.com/api/message/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"ticket_id": 123,
"mentioned_agent_ids": [
123
],
"files": [
123
],
"widgets": [
{
"id": "<string>",
"type": "link",
"label": "<string>",
"params": {
"url": "<string>"
}
}
],
"email_cc": [
"<string>"
]
}
'import requests
url = "https://back.leap.onclarity.com/api/message/send"
payload = {
"text": "<string>",
"ticket_id": 123,
"mentioned_agent_ids": [123],
"files": [123],
"widgets": [
{
"id": "<string>",
"type": "link",
"label": "<string>",
"params": { "url": "<string>" }
}
],
"email_cc": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
ticket_id: 123,
mentioned_agent_ids: [123],
files: [123],
widgets: [{id: '<string>', type: 'link', label: '<string>', params: {url: '<string>'}}],
email_cc: ['<string>']
})
};
fetch('https://back.leap.onclarity.com/api/message/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"internal_id": "<string>",
"files": [
{
"id": 123,
"original_url": "<string>",
"mime_type": "<string>",
"original_filename": "<string>",
"thumbnail_url": "<string>"
}
]
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Body
application/json
Available options:
message, private_note, system_notification widgets
(LinkWidget · object | SendMessageWidget · object | OptionWidget · object | CopyWidget · object | FormWidget · object | ApiCallWidget · object | DisplayWidget · object | HtmlWidget · object)[]
- LinkWidget
- SendMessageWidget
- OptionWidget
- CopyWidget
- FormWidget
- ApiCallWidget
- DisplayWidget
- HtmlWidget
Show child attributes
Show child attributes